# base-common
公共组件，公用工具类

## command 命令行
```
# 检查不符合规范的代码
# Check for code that does not conform to the specification
npm run lint;

# 修复不符合规范的代码，可修复项见eslintrc.js 带@fix
# fix that does not conform to specification,see the eslintrc.js with fix
npm run lint:fix;

# 执行所有所有测试用例
# excute All test cases
npm run test;

# 查看examples
npm run dev;

# 打包styles样式
npm run dist:style;

# 打包itk dev版，itk js 没有压缩的版本
npm run dist:dev;

# 打包itk 在线版本，itk js进行压缩，并生成.gz文件
npm run dist:prod;

# 同时执行 样式打包，js打包dev,dist版本
npm run dist;
```

## exapmles访问地址
> 访问地址：http://localhost:9000


## 发布npm包，npm publish
# npm 包发布教程：https://www.cnblogs.com/calamus/p/8384318.html
> 1.去npm官网注册帐号(https://www.npmjs.com)
> 2.package.json
>> name  包名
>> version 版本号
>> main 对应的入口文件
> 当前工程下执行：`npm publish`命令
>> 注意：每次发布之前，修改package.json里的version,再执行 npm run dist命令，让css、itk.js、itk.min.js都是最新
公共组件npm库登录：
Username: xinguang
Password: jykj@#2018!
Email: xgops@xinguang.com
```
# 发布到npm,每次发布需要修改package.json的版本号，不能跟npm已有的版本号重复
# 包名：toko-common2
npm publish
```

## 公用组的
> 公用组件:拿的是iview的源码，不带tk开头,样式是itk开头

## 业务组件
> 业务组件：tk 开头
